ifneq ("$(VERBOSE)", "YES")
	MAKE := $(MAKE) -s VERBOSE=NO
endif

all:
	@echo "=> Building CDEV Gateway Client/Server"
	@$(MAKE) -C server $@
	@$(MAKE) -C service $@
	@echo "<= Done...\n"
	
apps:
	@echo "=> Building Test Applications"
	@$(MAKE) -C test 
	@echo "<= Done...\n"
	
clean:
	@echo "=> Cleaning CDEV Gateway Directories"
	@$(MAKE) -C server $@
	@$(MAKE) -C service $@
	@$(MAKE) -C test $@
	@echo "<= Done...\n"
	
purge:
	@echo "=> Purging CDEV Gateway Directories"
	@$(MAKE) -C server $@
	@$(MAKE) -C service $@
	@$(MAKE) -C test $@
	@rm -rf bin
	@echo "<= Done...\n"
